> ## Documentation Index
> Fetch the complete documentation index at: https://docs.haiqu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Hemistich

> Hemistich (state compression) endpoint.

Creates Hemistich job.

Args:
    user (User): User authenticated with api key.
    data (StateCompressionSubmitModel): The payload for hemistich function.

Returns:
    list[StateCompressionJobModel]: The new job objects.



## OpenAPI

````yaml https://api.haiqu.ai/openapi.json post /hemistich
openapi: 3.1.0
info:
  title: Haiqu API
  summary: Haiqu RESTful API service.
  description: Cloud service providing the access to Haiqu cloud runtime
  contact:
    name: Haiqu Inc.
    url: https://haiqu.ai/
    email: info@haiqu.ai
  version: 1.4.0
servers: []
security: []
paths:
  /hemistich:
    post:
      summary: Hemistich
      description: |-
        Hemistich (state compression) endpoint.

        Creates Hemistich job.

        Args:
            user (User): User authenticated with api key.
            data (StateCompressionSubmitModel): The payload for hemistich function.

        Returns:
            list[StateCompressionJobModel]: The new job objects.
      operationId: hemistich_hemistich_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StateCompressionSubmitModel'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/StateCompressionJobModel'
                type: array
                title: Response Hemistich Hemistich Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
components:
  schemas:
    StateCompressionSubmitModel:
      properties:
        experiment_id:
          type: string
          title: Experiment Id
        circuit_ids:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Circuit Ids
          default: []
        compression_type:
          type: string
          title: Compression Type
          default: StateCompression
        parameters:
          additionalProperties: true
          type: object
          title: Parameters
      type: object
      required:
        - experiment_id
        - parameters
      title: StateCompressionSubmitModel
      description: Compression submit model.
    StateCompressionJobModel:
      properties:
        id:
          type: string
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        user_id:
          type: integer
          title: User Id
        experiment_id:
          type: string
          title: Experiment Id
        status:
          $ref: '#/components/schemas/JobStatus'
        job_type:
          $ref: '#/components/schemas/JobType'
        device_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Device Id
          default: Haiqu OS
        creation_date:
          type: string
          format: date-time
          title: Creation Date
        run_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Run Date
        finish_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finish Date
        logs:
          anyOf:
            - type: string
            - type: 'null'
          title: Logs
        quality:
          anyOf:
            - type: number
            - type: 'null'
          title: Quality
        info:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Info
        time:
          anyOf:
            - type: number
            - type: 'null'
          title: Time
        parameters:
          additionalProperties: true
          type: object
          title: Parameters
        circuit_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Circuit Id
        compression_type:
          $ref: '#/components/schemas/CompressionJobType'
      type: object
      required:
        - id
        - user_id
        - experiment_id
        - status
        - job_type
        - creation_date
        - parameters
        - compression_type
      title: StateCompressionJobModel
      description: Job returned for state compression function.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JobStatus:
      type: string
      enum:
        - Submitted
        - Initializing
        - Queued
        - Validating
        - Running
        - Cancelled
        - Done
        - Error
      title: JobStatus
      description: Class for job status.
    JobType:
      type: string
      enum:
        - User local job
        - Analytics
        - Device specific analytics
        - Data Loading
        - Hybrid
        - Run
        - State Compression
        - Transpilation
        - Variational
        - Pretraining
        - SKQD
      title: JobType
      description: Class for job types.
    CompressionJobType:
      type: string
      enum:
        - StateCompression
        - StateCompression2D
        - Su2EquivariantCompilation
      title: CompressionJobType
      description: Class for `compression_type`.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: HAIQU_API_KEY
    APIKeyHeader:
      type: apiKey
      in: header
      name: authorization

````